petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMAdaptationCriterion

Describes the test used to decide whether to coarsen or refine parts of the mesh

### Synopsis

    typedef enum {DM_ADAPTATION_NONE, DM_ADAPTATION_REFINE, DM_ADAPTATION_LABEL, DM_ADAPTATION_METRIC} DMAdaptationCriterion;

DM_ADAPTATION_REFINE will uniformly refine a mesh, much like grid sequencing. DM_ADAPTATION_LABEL will adapt the mesh based upon a label of the cells filled with DMAdaptFlag markers. DM_ADAPTATION_METRIC will try to mesh the manifold described by the input metric tensor uniformly. PETSc can also construct such a metric based upon an input primal or a gradient field.

### See Also

DMAdaptorSolve()

### Level

beginner

### Location

src/dm/../../include/petscdmtypes.h
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages